Subject: FW: (ngtrans) NAT-PT to change name after IESG review?

From: [email-masked]
Date: Mon, 6 Sep 1999 17:18:10 +0100

Thomas, all, 

So far I only had 2 comments on the name question of NAT-PT.

One from Peter Tatham and one from Guy Davies (see e-mail below)
The interesting thing is that both said that "nat64" sounds like 64bits
implementation of something and so its no good. 

Peter also suggested alternatives (a) "NAT 6to4" but I think this may
confuse with Brian's 6to4 and (b) "NAT 6by4"  which does not confuse with
anything but it does not mean anything either. 

Thomas, anyone
comments?

George

P.S: I just past a version of the document that uses the term NAT64 to
Suresh for review but I also have one that retains the NAT-PT name. We are
ready either way so help us settle this if you have an opinion.

> -----Original Message-----
> From:	Guy Davies [SMTP:[email-masked]]
> Sent:	Monday, September 06, 1999 4:42 PM
> To:	[email-masked]
> Subject:	Re: (ngtrans) NAT-PT to change name after IESG review?
> 
> Hi George,
> 
> My personal feeling is that the name NAT-PT is sufficiently well known
> within the IPng/NGTRANS working groups that to change it's name would be
> counterproductive.  I think that, if the IESG truly believe that there may
> be confusion between NAT-PT and NAPT, the best option is to add something
> to the document (possibly in the abstract?) to explicitly say that this
> document is unrelated to any NAPT documents.  NAT64 just puts me in mind
> of something to do with 64 bits or 1964 (ala Fortran 77 puts me in mind of
> 1977).  I really don't like NAT64 at all.  Of course, these are purely
> personal opinions :-)
> 
> Regards,
> 
> Guy
> 
> -- 
> Guy Davies			UUNET, An MCI WorldCom Company
> Sr. Network Engineer		332 Science Park, Cambridge, CB4 4BZ, UK
> email:  [email-masked]		tel: +44 (1223) 250457 
> mobile: +44 (7771) 907481 	fax: +44 (1223) 250412 
> 
> PGP Key fingerprint = 8C 16 26 7A 86 90 E7 FB  23 8F E2 85 F1 81 F7 F8
> 
> On Fri, 3 Sep 1999 [email-masked] wrote:
> 
> > Date: Fri, 3 Sep 1999 10:30:26 +0100 
> > From: [email-masked]
> > To: [email-masked]
> > Cc: [email-masked], [email-masked], [email-masked],
>      [email-masked], [email-masked], [email-masked]
> > Subject: (ngtrans) NAT-PT to change name after IESG review?
> > 
> > All,
> > 
> > As you know NAT-PT <draft-ietf-ngtrans-natpt-06.txt> is currently under
> IESG
> > review. In between a number of good clarifications and corrections
> (thanks
> > Thomas/IESG!) Thomas Narten also expressed some concerns about the name
> > "NAT-PT".
> > 
> > - The concern is that NAT-PT might be confused with NAPT - Network
> Address
> > and Port Translator. 
> > 
> > Some alternatives where suggested from Thomas, Suresh and Alain but at
> the
> > end one came out as the best and this is "NAT64"  (64 meaning v6-to-v4)
> so I
> > was asked to pass this through the working group.
> > 
> > For the record my personal opinion (and I think Suresh's too)  is that
> it is
> > not a good idea to change the name at this stage, since NAT-PT has been
> > around for more than 2 years now and a lot of people know it by that
> name. 
> > 
> > In any case I am willing to accept "NAT64" as an alternative if the
> Working
> > Group also things the term "NAT-PT" is confusing and the alternative is
> > better. 
> > 
> > Your comments please.
> > 
> > Thanks
> > George
> > 
> >

---

From: Thomas Narten <[email-masked]>
Date: Tue, 07 Sep 1999 14:52:11 -0400

> implementation of something and so its no good.

Yes, this could be confusing as well. nat46 then? :-)

Well, it seems that my alternative suggestions aren't really that much
better than NAT-PT. So unless someone else has a better last-minute
suggestion, sticking with NAT-PT is OK with me.

Thomas

---

From: Thomas Narten <[email-masked]>
Date: Tue, 07 Sep 1999 08:45:49 -0400

Thomas